SDL_WaitCondition(3)

NAME
SDL_WaitCondition - Wait until a condition variable is signaled.

HEADER FILE
Defined in SDL3/SDL_mutex.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_WaitCondition(SDL_Condition *cond, SDL_Mutex *mutex);

DESCRIPTION
This function unlocks the specified mutex and waits for another thread to call SDL_SignalCondition () or

SDL_BroadcastCondition () on the condition variable cond . Once the condition variable is signaled, the mutex is re-locked and the function returns.

The mutex must be locked before calling this function. Locking the mutex recursively (more than once) is not supported and leads to undefined behavior.

This function is the equivalent of calling

SDL_WaitConditionTimeout () with a time length of -1.

FUNCTION PARAMETERS

cond
    the condition variable to wait on.

mutex
    the mutex used to coordinate thread access.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_BroadcastCondition(3), •(3), SDL_SignalCondition(3), •(3), SDL_WaitConditionTimeout(3)